package com.tenlionsoft.baselib.core.db.beans;

import androidx.annotation.NonNull;
import androidx.room.ColumnInfo;
import androidx.room.Entity;
import androidx.room.PrimaryKey;

/**
 * 作者: adam
 * 日期: 2022/3/28 - 3:10 下午
 * 邮箱: itgaojian@163.com
 * 描述: 食堂信息实体
 */
@Entity(tableName = "food_canteen")
public class FoodCanteenBean {
    @NonNull
    @PrimaryKey
    private int id;//自增主键

    @NonNull
    @ColumnInfo(name = "uid")
    private String uid;//食堂36位主键

    @ColumnInfo(name = "canteen_name")
    private String canteenName;//食堂名称

    @ColumnInfo(name = "canteen_open")
    private String canteenOpen;//食堂营业状态  1:营业  0:歇业

    @ColumnInfo(name = "canteen_tel")
    private String canteenTel;//食堂电话

    @ColumnInfo(name = "canteen_remark")
    private String canteenRemark;//备注

    @ColumnInfo(name = "sync_number")
    private int syncNumber;//同步号

    @ColumnInfo(name = "gmt_create")
    private String gmtCreate;//

    @ColumnInfo(name = "modifier")
    private String modifier;

    @ColumnInfo(name = "gmt_modifier")
    private String gmtModifier;

    @ColumnInfo(name = "is_delete")
    private String isDelete;

    @ColumnInfo(name = "creator")
    private String creator;

    @NonNull
    public int getId() {
        return id;
    }

    @NonNull
    public void setId(int id) {
        this.id = id;
    }

    @NonNull
    public String getUid() {
        return uid;
    }

    public void setUid(@NonNull String uid) {
        this.uid = uid;
    }

    public String getCanteenName() {
        return canteenName;
    }

    public void setCanteenName(String canteenName) {
        this.canteenName = canteenName;
    }

    public String getCanteenOpen() {
        return canteenOpen;
    }

    public void setCanteenOpen(String canteenOpen) {
        this.canteenOpen = canteenOpen;
    }


    public String getCanteenTel() {
        return canteenTel;
    }

    public void setCanteenTel(String canteenTel) {
        this.canteenTel = canteenTel;
    }

    public String getCanteenRemark() {
        return canteenRemark;
    }

    public void setCanteenRemark(String canteenRemark) {
        this.canteenRemark = canteenRemark;
    }

    public int getSyncNumber() {
        return syncNumber;
    }

    public void setSyncNumber(int syncNumber) {
        this.syncNumber = syncNumber;
    }

    public String getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getGmtModifier() {
        return gmtModifier;
    }

    public void setGmtModifier(String gmtModifier) {
        this.gmtModifier = gmtModifier;
    }

    public String getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(String isDelete) {
        this.isDelete = isDelete;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    @Override
    public String toString() {
        return "FoodCanteenBean{" +
            "id=" + id +
            ", uid='" + uid + '\'' +
            ", canteenName='" + canteenName + '\'' +
            ", canteenOpen='" + canteenOpen + '\'' +
            ", canteenRemark='" + canteenRemark + '\'' +
            ", syncNumber=" + syncNumber +
            ", gmtCreate='" + gmtCreate + '\'' +
            ", modifier='" + modifier + '\'' +
            ", gmtModifier='" + gmtModifier + '\'' +
            ", isDelete='" + isDelete + '\'' +
            '}';
    }
}
